# GetListChildItem

### int GetListChildItem(int lMsgId, string szDelimiter, ref string pstrValues, ref int plLength)

수신한 SECS메시지에서 List 안 Item의 값을 문자열 형식으로 모두 읽음.

{% hint style="warning" %}
List 하단의 Item중 List 가 있을 경우 사용이 불가능 합니다.
{% endhint %}

Parameters

<table data-header-hidden><thead><tr><th width="146" valign="top"></th><th width="121" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Name</td><td valign="top">Type</td><td valign="top">Description</td></tr><tr><td valign="top">lMsgId</td><td valign="top">int</td><td valign="top">수신한 Message의 ID</td></tr><tr><td valign="top">szDelimiter</td><td valign="top">string</td><td valign="top">구분자로 설정할 값</td></tr><tr><td valign="top">pstrValues</td><td valign="top">ref string</td><td valign="top">읽은값을 저장할 변수</td></tr><tr><td valign="top">plLength</td><td valign="top">ref int</td><td valign="top">구분자로 완성한 문자열의 총 길이</td></tr></tbody></table>

```csharp
    string allValues = "";
    int totalLen = 0;

    // 2. 구분자를 ","로 지정하여 호출
    int nResult = m_gem.GetListChildItem(lMsgId, ",", ref allValues, ref totalLen);

    if (nResult >= 0)
    {
        // 결과 예: "VALUE1,VALUE2,VALUE3"
        Console.WriteLine($"전체 데이터: {allValues}");
    }
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://nviasoft.gitbook.io/nviasoft-docs/api-reference/item-parsing/getlistchilditem/getlistchilditem-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
